stages:
    - update_packages
    - search_git
    - install_git
    - ending

update_system_packages:
    stage: update_packages
    image: ubuntu
    script:
        - apt-get update -y 
        - dpkg -l > packages_list.txt
    artifacts:
        paths:
            - ./packages_list.txt

search_package_and_version_git:
    stage: search_git
    script:
        - grep "git " packages_list.txt
        - grep "git " packages_list.txt | awk '{print $3}' > version_git
    when: on_success
    artifacts:
        paths:
            - ./version_git

ending_pipeline:
    stage: ending
    script:
        - echo "end"
    when: on_success


install_git_if_not_found:
    stage: install_git
    image : ubuntu
    script:
        - apt-get update -y 
        - apt-get install -y git
    when : on_failure






